aboutsummaryrefslogtreecommitdiffhomepage
path: root/src/test/shell/bazel/bazel_test_test.sh
diff options
context:
space:
mode:
authorGravatar Philipp Wollermann <philwo@google.com>2017-05-13 09:36:48 +0200
committerGravatar Dmitry Lomov <dslomov@google.com>2017-05-15 19:51:08 +0200
commitc1e0ca22927220430ef6a7af9b7d854be774ecec (patch)
tree671b39cf9cceb6f3ac0539d7c6139e01c13952eb /src/test/shell/bazel/bazel_test_test.sh
parent45e7ac3221d3c34c3e04b7eb5ffcfbfc691fa1c1 (diff)
sandbox: Create more compact sandbox profiles faster.
By removing the now unnecessary call to Path#resolveSymbolicLinks we can save a few stat's per action execution. Change-Id: Iee157e941c1cd3515ff5ea3b7f410824c24cf44d PiperOrigin-RevId: 155946544
Diffstat (limited to 'src/test/shell/bazel/bazel_test_test.sh')
-rwxr-xr-xsrc/test/shell/bazel/bazel_test_test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/test/shell/bazel/bazel_test_test.sh b/src/test/shell/bazel/bazel_test_test.sh
index fa99575b9b..a175139783 100755
--- a/src/test/shell/bazel/bazel_test_test.sh
+++ b/src/test/shell/bazel/bazel_test_test.sh
@@ -236,7 +236,7 @@ EOF
bazel test --test_timeout=2 //dir:test &> $TEST_log && fail "should have timed out"
expect_log "TIMEOUT"
- bazel test --test_timeout=20 //dir:test || fail "expected success"
+ bazel test --test_timeout=20 //dir:test &> $TEST_log || fail "expected success"
}
# Makes sure that runs_per_test_detects_flakes detects FLAKY if any of the 5